function FileData_Pairs(x)
{
x.t("tibemssession","tibemssession");
x.t("tibemssession","type");
x.t("tibemssession","session");
x.t("tibemssession","chapter");
x.t("organizing","context");
x.t("registers","message");
x.t("rolls","back");
x.t("active","function");
x.t("active","subscription");
x.t("active","server");
x.t("example","messages");
x.t("transactions","tibemssession_rollback");
x.t("transactions","tibemssession_commit");
x.t("transactions","session");
x.t("transactions","closing");
x.t("tibemssession_createtextmessage","tibemssession");
x.t("tibemssession_createtextmessage","create");
x.t("tibemssession_createtextmessage","function");
x.t("tibemssession_createtextmessage","using");
x.t("311","tibemssession_close");
x.t("blocking","message");
x.t("available","listeners");
x.t("tibems_illegal_state","session");
x.t("tibems_illegal_state","messages");
x.t("tibems_illegal_state","tibemstemporarytopic");
x.t("tibems_illegal_state","tibemstemporaryqueue");
x.t("parameter","description");
x.t("parameter","call");
x.t("144","tibemsmsgconsumer");
x.t("144","tibemsmsgproducer");
x.t("exist","server");
x.t("properties","received");
x.t("restriction","applies");
x.t("restriction","corollary");
x.t("312","transactions");
x.t("tibemsdestination","destination");
x.t("tibemsdestination","page");
x.t("receives","loop");
x.t("receives","messages");
x.t("receives","matching");
x.t("redeliver","messages");
x.t("inbound","outbound");
x.t("inbound","messages");
x.t("within","single");
x.t("within","session");
x.t("within","message");
x.t("within","transaction");
x.t("redelivery","consumers");
x.t("313","property");
x.t("create","topic");
x.t("create","browser");
x.t("create","queue");
x.t("create","text");
x.t("create","byte");
x.t("create","map");
x.t("create","stream");
x.t("create","consumer");
x.t("create","producer");
x.t("create","message");
x.t("create","temporary");
x.t("create","dynamic");
x.t("create","durable");
x.t("static","dynamic");
x.t("delivery","within");
x.t("delivery","program");
x.t("delivery","across");
x.t("delivery","including");
x.t("description","session");
x.t("description","tibems_ok");
x.t("description","page");
x.t("commits","messages");
x.t("deleting","existing");
x.t("202","tibemssession_createmapmessage");
x.t("ambiguous","state");
x.t("ambiguous","according");
x.t("events","message");
x.t("tibemssession_rollback","tibemssession");
x.t("tibemssession_rollback","roll");
x.t("tibemssession_rollback","session");
x.t("tibemssession_rollback","function");
x.t("tibemssession_rollback","using");
x.t("unsubscribe","closing");
x.t("unsubscribe","durable");
x.t("always","exactly");
x.t("acknowledgemode","cobol");
x.t("acknowledgemode","returning");
x.t("acknowledgemode","function");
x.t("rollback","messages");
x.t("rollback","prepare");
x.t("rollback","appropriate");
x.t("rollback","immediately");
x.t("316","tibemssession_createbytesmessage");
x.t("bytesmsg","cobol");
x.t("bytesmsg","returning");
x.t("bytesmsg","function");
x.t("bytesmsg","usage");
x.t("arguments","match");
x.t("arguments","effect");
x.t("providers","tibemstemporarytopic");
x.t("providers","tibemstemporaryqueue");
x.t("prefetch=none","maxredelivery=");
x.t("maxredelivery=","number");
x.t("enabled","single");
x.t("current","transaction");
x.t("topic","exist");
x.t("topic","create");
x.t("topic","topic");
x.t("topic","delete");
x.t("topic","subscriber");
x.t("topic","const");
x.t("topic","session");
x.t("topic","lasts");
x.t("topic","selector");
x.t("topic","303");
x.t("topic","cannot");
x.t("topic","subscription");
x.t("topic","messageselector");
x.t("topic","reference");
x.t("topic","client");
x.t("topic","message");
x.t("topic","usage");
x.t("topic","declaration");
x.t("topic","already");
x.t("topic","dynamic");
x.t("topic","remarks");
x.t("topic","either");
x.t("topic","associated");
x.t("topic","object");
x.t("topic","server");
x.t("creates","dynamic");
x.t("creates","matching");
x.t("creates","durable");
x.t("cache","inbound");
x.t("until","program");
x.t("until","subscriber");
x.t("until","messages");
x.t("until","processing");
x.t("until","return");
x.t("until","message");
x.t("program","registers");
x.t("program","ambiguous");
x.t("program","last");
x.t("program","explicitly");
x.t("program","calls");
x.t("program","acknowledges");
x.t("program","specifies");
x.t("program","return");
x.t("program","consume");
x.t("program","specify");
x.t("end-call","session");
x.t("end-call","call");
x.t("uses","two");
x.t("tibemssession_createmessage","tibemssession");
x.t("tibemssession_createmessage","function");
x.t("tibemssession_createmessage","using");
x.t("last","acknowledged");
x.t("support","enabled");
x.t("mode","session");
x.t("mode","irrelevant");
x.t("mode","either");
x.t("mode","governs");
x.t("cooperates","server");
x.t("roll","back");
x.t("state","example");
x.t("state","ambiguous");
x.t("state","during");
x.t("state","point");
x.t("tibems_security_exception","client");
x.t("162","tibemsconnection");
x.t("162","tibemstopic");
x.t("162","tibemssession_createdurablesubscriber");
x.t("leave","program");
x.t("type","purpose");
x.t("close","session");
x.t("close","thread");
x.t("close","exception");
x.t("open","transaction");
x.t("listener","receive");
x.t("change","subscription");
x.t("altering","either");
x.t("deletes","unconsumed");
x.t("deletes","subscription");
x.t("deletes","temporary");
x.t("times","ems");
x.t("explicitly","begins");
x.t("calls","tibemssession_rollback");
x.t("calls","single");
x.t("calls","tibemssession_commit");
x.t("calls","equivalent");
x.t("calls","function");
x.t("calls","returned");
x.t("time","transactions");
x.t("time","subscriber");
x.t("non-null","browser");
x.t("non-null","session");
x.t("non-null","producer");
x.t("non-null","server");
x.t("associates","subscriber");
x.t("associates","durable");
x.t("delete","active");
x.t("delete","subscription");
x.t("delete","temporary");
x.t("delete","call");
x.t("however","static");
x.t("thread\u2019s","activity");
x.t("browser","queue");
x.t("browser","291");
x.t("browser","session");
x.t("browser","function");
x.t("browser","presents");
x.t("browser","value");
x.t("browser","declaration");
x.t("browser","tibemsqueue");
x.t("browser","views");
x.t("browser","object");
x.t("subscriber","receives");
x.t("subscriber","topic");
x.t("subscriber","295");
x.t("subscriber","session");
x.t("subscriber","acknowledges");
x.t("subscriber","receive");
x.t("subscriber","subscription");
x.t("subscriber","existing");
x.t("subscriber","declaration");
x.t("subscriber","inactive");
x.t("subscriber","object");
x.t("subscriber","matching");
x.t("connection","connection");
x.t("connection","false");
x.t("connection","closed");
x.t("connection","client");
x.t("connection","sessions");
x.t("connection","named");
x.t("releases","locks");
x.t("subscriptions","guarantee");
x.t("tibemstextmsg","textmsg");
x.t("tibemstextmsg","page");
x.t("acknowledgement","redelivery");
x.t("acknowledgement","messages");
x.t("queue","exist");
x.t("queue","prefetch=none");
x.t("queue","topic");
x.t("queue","delete");
x.t("queue","browser");
x.t("queue","queue");
x.t("queue","browse");
x.t("queue","const");
x.t("queue","session");
x.t("queue","lasts");
x.t("queue","302");
x.t("queue","function");
x.t("queue","messageselector");
x.t("queue","reference");
x.t("queue","client");
x.t("queue","usage");
x.t("queue","declaration");
x.t("queue","already");
x.t("queue","browsers");
x.t("queue","dynamic");
x.t("queue","remarks");
x.t("queue","tibemsqueue");
x.t("queue","either");
x.t("queue","object");
x.t("queue","server");
x.t("text","create");
x.t("text","cobol");
x.t("text","returning");
x.t("text","body");
x.t("text","message");
x.t("back","open");
x.t("back","messages");
x.t("back","transaction");
x.t("reclaim","resources");
x.t("tibems-status","end-call");
x.t("automatically","rolled");
x.t("automatically","closes");
x.t("filters","messages");
x.t("property","tibemsconnection");
x.t("property","session");
x.t("property","value");
x.t("property","irrelevant");
x.t("objects","create");
x.t("objects","cache");
x.t("objects","thread");
x.t("objects","internal");
x.t("objects","single-thread");
x.t("objects","created");
x.t("objects","associated");
x.t("single","thread");
x.t("jms","specification");
x.t("among","session\u2019s");
x.t("new","browser");
x.t("new","consumer");
x.t("new","producer");
x.t("new","message");
x.t("new","temporary");
x.t("new","transaction");
x.t("new","albeit");
x.t("tibemsbytesmsg","bytesmsg");
x.t("tibemsbytesmsg","page");
x.t("items","match");
x.t("items","client");
x.t("supplied","server");
x.t("tibemsstreammsg_create","page");
x.t("loop","rollback");
x.t("290","tibemssession_rollback");
x.t("tibems_status","tibemssession_createtextmessage");
x.t("tibems_status","tibemssession_rollback");
x.t("tibems_status","tibemssession_createmessage");
x.t("tibems_status","tibemssession_commit");
x.t("tibems_status","tibemssession_deletetemporarytopic");
x.t("tibems_status","tibemssession_close");
x.t("tibems_status","tibemssession_deletetemporaryqueue");
x.t("tibems_status","tibemssession_createbytesmessage");
x.t("tibems_status","tibemssession_createconsumer");
x.t("tibems_status","tibemssession_createproducer");
x.t("tibems_status","tibemssession_unsubscribe");
x.t("tibems_status","tibemssession_createtextmessageex");
x.t("tibems_status","tibemssession_createbrowser");
x.t("tibems_status","tibemssession_createstreammessage");
x.t("tibems_status","tibemssession_gettransacted");
x.t("tibems_status","tibemssession_createtemporarytopic");
x.t("tibems_status","tibemssession_recover");
x.t("tibems_status","tibemssession_getacknowledgemode");
x.t("tibems_status","tibemssession_createdurablesubscriber");
x.t("tibems_status","tibemssession_createtemporaryqueue");
x.t("tibems_status","tibemssession_createmapmessage");
x.t("cobol","call");
x.t("outbound","messages");
x.t("291","tibemssession_createtemporaryqueue");
x.t("status","tibems_exception");
x.t("status","code");
x.t("lets","program");
x.t("lets","server");
x.t("acknowledged","receipt");
x.t("again","operation");
x.t("need","redeliver");
x.t("actions","stop");
x.t("actions","commit");
x.t("292","tibemssession_createmapmessage");
x.t("during","subscriber");
x.t("during","message");
x.t("expire","subscription");
x.t("unconsumed","messages");
x.t("ems","application");
x.t("applies","objects");
x.t("293","tibemssession_createdurablesubscriber");
x.t("browse","queue");
x.t("continuity","continuity");
x.t("continuity","across");
x.t("tibemsmsg_create","page");
x.t("according","jms");
x.t("results","status");
x.t("tibems_exception","tibemsmsgconsumer");
x.t("become","part");
x.t("false","non-transaction");
x.t("false","consumer");
x.t("fails","tibems_invalid_consumer");
x.t("tibemsmsg","message");
x.t("tibemsmsg","page");
x.t("synchronously","asynchronously");
x.t("tibemssession_commit","tibemssession");
x.t("tibemssession_commit","session");
x.t("tibemssession_commit","function");
x.t("tibemssession_commit","using");
x.t("tibemssession_commit","commit");
x.t("byte","array");
x.t("295","tibemssession_createproducer");
x.t("295","tibco");
x.t("locks","opens");
x.t("nolocal","cobol");
x.t("nolocal","true");
x.t("nolocal","returning");
x.t("true","session");
x.t("true","server");
x.t("guarantee","message");
x.t("tibemsconnection","stops");
x.t("tibemsconnection","client");
x.t("tibemsconnection","page");
x.t("tibemsconnection","used");
x.t("requires","calls");
x.t("requires","call");
x.t("queues","associated");
x.t("tibemssession_deletetemporarytopic","tibemssession");
x.t("tibemssession_deletetemporarytopic","function");
x.t("tibemssession_deletetemporarytopic","using");
x.t("processed","function");
x.t("receipt","inbound");
x.t("delivered","restart");
x.t("delivered","point");
x.t("consequence","rule");
x.t("tibemssession_close","tibemssession");
x.t("tibemssession_close","close");
x.t("tibemssession_close","programs");
x.t("tibemssession_close","function");
x.t("tibemssession_close","using");
x.t("name","parameter");
x.t("name","cobol");
x.t("name","lets");
x.t("name","name");
x.t("name","returning");
x.t("name","const");
x.t("name","unique");
x.t("name","reference");
x.t("name","tibemstopic");
x.t("creating","new");
x.t("operation","function");
x.t("handler","events");
x.t("restricting","session");
x.t("non-transaction","semantics");
x.t("returning","tibems-status");
x.t("exactly","open");
x.t("char","text");
x.t("char","name");
x.t("char","messageselector");
x.t("retains","unacknowledged");
x.t("closed","broken");
x.t("stop","message");
x.t("corollary","consequence");
x.t("dispatcher","thread");
x.t("synchronous","delivery");
x.t("synchronous","synchronous");
x.t("part","transaction");
x.t("298","tibemssession_createstreammessage");
x.t("const","char");
x.t("argument","may");
x.t("unacknowledged","messages");
x.t("unacknowledged","uncommitted");
x.t("streammsg","cobol");
x.t("streammsg","returning");
x.t("streammsg","function");
x.t("streammsg","usage");
x.t("session","tibemssession");
x.t("session","rolls");
x.t("session","within");
x.t("session","create");
x.t("session","acknowledgemode");
x.t("session","bytesmsg");
x.t("session","rollback");
x.t("session","creates");
x.t("session","calls");
x.t("session","delete");
x.t("session","browser");
x.t("session","tibemstextmsg");
x.t("session","reclaim");
x.t("session","automatically");
x.t("session","property");
x.t("session","objects");
x.t("session","tibemsbytesmsg");
x.t("session","cobol");
x.t("session","become");
x.t("session","tibemsmsg");
x.t("session","tibemssession_commit");
x.t("session","name");
x.t("session","returning");
x.t("session","synchronous");
x.t("session","streammsg");
x.t("session","const");
x.t("session","tibemsmsgconsumer");
x.t("session","tibemsmsgproducer");
x.t("session","thread");
x.t("session","recovers");
x.t("session","mapmsg");
x.t("session","acknowledges");
x.t("session","processing");
x.t("session","namely");
x.t("session","recover");
x.t("session","textmsg");
x.t("session","tibemsmapmsg");
x.t("session","reference");
x.t("session","consumer");
x.t("session","producer");
x.t("session","message");
x.t("session","istransacted");
x.t("session","tibemstemporarytopic");
x.t("session","illegal");
x.t("session","usage");
x.t("session","value");
x.t("session","tibemsacknowledgemode");
x.t("session","declaration");
x.t("session","deliver");
x.t("session","tibemstemporaryqueue");
x.t("session","tmptopic");
x.t("session","remarks");
x.t("session","msgconsumer");
x.t("session","received");
x.t("session","values");
x.t("session","transaction");
x.t("session","tmpqueue");
x.t("session","transactional");
x.t("session","mark");
x.t("session","either");
x.t("session","tibemsqueuebrowser");
x.t("session","attach");
x.t("session","object");
x.t("session","tibemsstreammsg");
x.t("session","tibems_bool");
x.t("rule","restricting");
x.t("rule","consumers");
x.t("parameters","parameter");
x.t("filtering","nolocal");
x.t("exists","subscription");
x.t("exists","illegal");
x.t("exists","already");
x.t("exists","inactive");
x.t("exists","server");
x.t("receivers","topic");
x.t("receivers","queue");
x.t("combine","several");
x.t("serializing","activity");
x.t("sends","messages");
x.t("restart","message");
x.t("map","message");
x.t("destination","create");
x.t("destination","non-null");
x.t("destination","queue");
x.t("destination","cobol");
x.t("destination","returning");
x.t("destination","const");
x.t("destination","argument");
x.t("destination","reference");
x.t("destination","message");
x.t("destination","null");
x.t("destination","usage");
x.t("allows","dynamic");
x.t("tibemssession_deletetemporaryqueue","tibemssession");
x.t("tibemssession_deletetemporaryqueue","function");
x.t("tibemssession_deletetemporaryqueue","using");
x.t("partially","processed");
x.t("programs","change");
x.t("programs","session");
x.t("programs","review");
x.t("programs","function");
x.t("programs","portable");
x.t("programs","call");
x.t("array","message");
x.t("300","tibemssession_unsubscribe");
x.t("empty","string");
x.t("string","browser");
x.t("string","subscriber");
x.t("string","consumer");
x.t("tibemsmsgconsumer","exists");
x.t("tibemsmsgconsumer","consumer");
x.t("tibemsmsgconsumer","page");
x.t("tibemsmsgconsumer","msgconsumer");
x.t("local","origin");
x.t("tibemsmsgproducer","producer");
x.t("tibemsmsgproducer","page");
x.t("lasts","longer");
x.t("thread","time");
x.t("thread","jms");
x.t("thread","session");
x.t("thread","function");
x.t("thread","may");
x.t("thread","processes");
x.t("thread","associated");
x.t("thread","delivers");
x.t("flow","session");
x.t("stream","program");
x.t("stream","message");
x.t("301","tibemssession_createtextmessage");
x.t("remain","available");
x.t("marked","redelivered");
x.t("functions","request");
x.t("request","next");
x.t("recovers","inbound");
x.t("begin","new");
x.t("302","tibemssession_createtemporarytopic");
x.t("facilities","connection");
x.t("failed","server");
x.t("selector","arguments");
x.t("selector","subscriber");
x.t("selector","notice");
x.t("selector","consumer");
x.t("selector","message");
x.t("mapmsg","cobol");
x.t("mapmsg","returning");
x.t("mapmsg","function");
x.t("mapmsg","usage");
x.t("attempting","results");
x.t("303","consumers");
x.t("blocks","until");
x.t("rolled","back");
x.t("notice","server");
x.t("equivalent","deleting");
x.t("equivalent","tibemsstreammsg_create");
x.t("equivalent","tibemsmsg_create");
x.t("equivalent","tibemstextmsg_create");
x.t("equivalent","tibemsmapmsg_create");
x.t("body","remarks");
x.t("sometimes","leave");
x.t("point","within");
x.t("point","marked");
x.t("review","messages");
x.t("acknowledges","inbound");
x.t("acknowledges","until");
x.t("acknowledges","transaction");
x.t("next","message");
x.t("tibemssession_createbytesmessage","tibemssession");
x.t("tibemssession_createbytesmessage","create");
x.t("tibemssession_createbytesmessage","function");
x.t("tibemssession_createbytesmessage","using");
x.t("304","destinations");
x.t("messages","within");
x.t("messages","current");
x.t("messages","topic");
x.t("messages","until");
x.t("messages","mode");
x.t("messages","subscriber");
x.t("messages","queue");
x.t("messages","expire");
x.t("messages","delivered");
x.t("messages","session");
x.t("messages","serializing");
x.t("messages","destination");
x.t("messages","partially");
x.t("messages","local");
x.t("messages","programs");
x.t("messages","flow");
x.t("messages","marked");
x.t("messages","tibemssession_createbytesmessage");
x.t("messages","processing");
x.t("messages","match");
x.t("messages","serialize");
x.t("messages","consumer");
x.t("messages","message");
x.t("messages","produces");
x.t("messages","event");
x.t("messages","changing");
x.t("messages","originate");
x.t("messages","transaction");
x.t("messages","order");
x.t("messages","starts");
x.t("messages","either");
x.t("messages","using");
x.t("messages","without");
x.t("messages","sent");
x.t("messages","server");
x.t("undetermined","state");
x.t("resolve","similar");
x.t("resolve","ambiguities");
x.t("attempted","deliver");
x.t("first","delivered");
x.t("activity","close");
x.t("activity","among");
x.t("activity","remarks");
x.t("handlers","listeners");
x.t("processing","state");
x.t("processing","programs");
x.t("processing","sometimes");
x.t("processing","309");
x.t("processing","completes");
x.t("processing","message");
x.t("processing","declaration");
x.t("tibems_transaction_failed","commit");
x.t("stops","delivering");
x.t("delivering","messages");
x.t("number","properties");
x.t("number","times");
x.t("namely","messages");
x.t("function","description");
x.t("function","creates");
x.t("function","deletes");
x.t("function","lets");
x.t("function","fails");
x.t("function","tibemssession_close");
x.t("function","facilities");
x.t("function","blocks");
x.t("function","resolve");
x.t("function","stores");
x.t("function","requests");
x.t("function","purpose");
x.t("function","returns");
x.t("recover","session");
x.t("recover","undetermined");
x.t("150","tibemsqueuebrowser");
x.t("inappropriate","returns");
x.t("chapter","session");
x.t("may","session");
x.t("may","destination");
x.t("processes","inbound");
x.t("specifies","transaction");
x.t("tibemssession_createconsumer","tibemssession");
x.t("tibemssession_createconsumer","create");
x.t("tibemssession_createconsumer","function");
x.t("tibemssession_createconsumer","using");
x.t("tibemssession_createproducer","tibemssession");
x.t("tibemssession_createproducer","create");
x.t("tibemssession_createproducer","function");
x.t("tibemssession_createproducer","using");
x.t("receive","calls");
x.t("receive","messages");
x.t("receive","call");
x.t("cannot","tibemstemporarytopic");
x.t("unique","name");
x.t("begins","thread");
x.t("309","tibemssession_close");
x.t("meantime","function");
x.t("stores","property");
x.t("stores","new");
x.t("presents","messages");
x.t("selectors","null");
x.t("textmsg","tibems_status");
x.t("textmsg","returning");
x.t("textmsg","const");
x.t("textmsg","function");
x.t("textmsg","reference");
x.t("textmsg","usage");
x.t("requests","server");
x.t("step","transactions");
x.t("listeners","until");
x.t("listeners","receivers");
x.t("listeners","receive");
x.t("listeners","consumer");
x.t("listeners","session\u2019s");
x.t("internal","dispatcher");
x.t("subscription","active");
x.t("subscription","312");
x.t("subscription","topic");
x.t("subscription","altering");
x.t("subscription","subscriber");
x.t("subscription","continuity");
x.t("subscription","tibemsconnection");
x.t("subscription","name");
x.t("subscription","exists");
x.t("subscription","session");
x.t("subscription","tibemsmsgconsumer");
x.t("subscription","messages");
x.t("subscription","receive");
x.t("subscription","messageselector");
x.t("subscription","sessions");
x.t("subscription","declaration");
x.t("subscription","remarks");
x.t("subscription","becomes");
x.t("subscription","inactive");
x.t("subscription","result");
x.t("subscription","matching");
x.t("subscription","server");
x.t("closes","consumers");
x.t("returned","transactions");
x.t("opens","new");
x.t("tibems_ok","successful");
x.t("match","subscriber");
x.t("match","selector");
x.t("tibemsmapmsg","mapmsg");
x.t("tibemsmapmsg","page");
x.t("purpose","organizing");
x.t("purpose","create");
x.t("purpose","unsubscribe");
x.t("purpose","roll");
x.t("purpose","close");
x.t("purpose","delete");
x.t("purpose","recover");
x.t("purpose","transactional");
x.t("purpose","acknowledge");
x.t("purpose","commit");
x.t("messageselector","non-null");
x.t("messageselector","cobol");
x.t("messageselector","returning");
x.t("messageselector","value");
x.t("messageselector","tibems_bool");
x.t("individually","tibemsdestination");
x.t("154","tibemssession_deletetemporarytopic");
x.t("154","tibemssession_createtemporarytopic");
x.t("single-thread","restriction");
x.t("organize","thread\u2019s");
x.t("code","description");
x.t("client","program");
x.t("client","deletes");
x.t("client","non-null");
x.t("client","tibemsconnection");
x.t("client","programs");
x.t("client","subscription");
x.t("client","listeners");
x.t("client","null");
x.t("client","optional");
x.t("client","attach");
x.t("client","lacks");
x.t("reference","acknowledgemode");
x.t("reference","bytesmsg");
x.t("reference","browser");
x.t("reference","text");
x.t("reference","name");
x.t("reference","streammsg");
x.t("reference","mapmsg");
x.t("reference","textmsg");
x.t("reference","messageselector");
x.t("reference","consumer");
x.t("reference","producer");
x.t("reference","message");
x.t("reference","istransacted");
x.t("reference","tmptopic");
x.t("reference","msgconsumer");
x.t("reference","tmpqueue");
x.t("155","tibemssession_createtextmessage");
x.t("155","tibemssession_getacknowledgemode");
x.t("prepare","phase");
x.t("serialize","inbound");
x.t("serialize","asynchronous");
x.t("consumer","tibemsdestination");
x.t("consumer","receives");
x.t("consumer","topic");
x.t("consumer","objects");
x.t("consumer","293");
x.t("consumer","session");
x.t("consumer","destination");
x.t("consumer","function");
x.t("consumer","receive");
x.t("consumer","value");
x.t("consumer","declaration");
x.t("consumer","object");
x.t("session\u2019s","consumer");
x.t("session\u2019s","producers");
x.t("session\u2019s","acknowledge");
x.t("producer","tibemsdestination");
x.t("producer","session");
x.t("producer","sends");
x.t("producer","destination");
x.t("producer","300");
x.t("producer","function");
x.t("producer","value");
x.t("producer","declaration");
x.t("producer","object");
x.t("tibemssession_unsubscribe","tibemssession");
x.t("tibemssession_unsubscribe","unsubscribe");
x.t("tibemssession_unsubscribe","function");
x.t("tibemssession_unsubscribe","using");
x.t("return","meantime");
x.t("return","unambiguous");
x.t("completes","until");
x.t("156","tibemsmsgconsumer");
x.t("156","tibemssession_createdurablesubscriber");
x.t("message","delivery");
x.t("message","events");
x.t("message","program");
x.t("message","listener");
x.t("message","acknowledgement");
x.t("message","text");
x.t("message","objects");
x.t("message","cobol");
x.t("message","292");
x.t("message","handler");
x.t("message","returning");
x.t("message","298");
x.t("message","session");
x.t("message","301");
x.t("message","stream");
x.t("message","selector");
x.t("message","304");
x.t("message","activity");
x.t("message","processing");
x.t("message","function");
x.t("message","selectors");
x.t("message","listeners");
x.t("message","individually");
x.t("message","consumer");
x.t("message","producer");
x.t("message","usage");
x.t("message","declaration");
x.t("message","tibemsmsgconsumer_receive");
x.t("message","producers");
x.t("message","consumers");
x.t("message","operations");
x.t("message","object");
x.t("asynchronously","asynchronous");
x.t("produces","outbound");
x.t("broken","server");
x.t("istransacted","cobol");
x.t("istransacted","returning");
x.t("istransacted","function");
x.t("tibco","software");
x.t("event","handlers");
x.t("tibems_transaction_rollback","tibemssession_createbrowser");
x.t("tibemstemporarytopic","name");
x.t("tibemstemporarytopic","tmptopic");
x.t("tibemstemporarytopic","page");
x.t("tibemssession_createtextmessageex","tibemssession");
x.t("tibemssession_createtextmessageex","using");
x.t("illegal","delete");
x.t("sessions","connection");
x.t("sessions","combine");
x.t("sessions","remain");
x.t("tibemssession_createbrowser","tibemssession");
x.t("tibemssession_createbrowser","create");
x.t("tibemssession_createbrowser","function");
x.t("tibemssession_createbrowser","using");
x.t("closing","session");
x.t("null","session");
x.t("null","empty");
x.t("null","client");
x.t("changing","topic");
x.t("existing","subscription");
x.t("longer","connection");
x.t("tibemssession_createstreammessage","tibemssession");
x.t("tibemssession_createstreammessage","create");
x.t("tibemssession_createstreammessage","function");
x.t("tibemssession_createstreammessage","using");
x.t("value","topic");
x.t("value","queue");
x.t("value","nolocal");
x.t("value","session");
x.t("value","destination");
x.t("value","tmptopic");
x.t("value","location");
x.t("value","tmpqueue");
x.t("usage","pointer");
x.t("named","topic");
x.t("named","queue");
x.t("tibemsacknowledgemode","acknowledgemode");
x.t("tibemsacknowledgemode","page");
x.t("similar","ambiguities");
x.t("tibems_invalid_session","commit");
x.t("uncommitted","current");
x.t("several","roles");
x.t("declaration","tibems_status");
x.t("send","messages");
x.t("originate","locally");
x.t("periods","uses");
x.t("periods","during");
x.t("already","active");
x.t("already","exists");
x.t("provider-specific","programs");
x.t("temporary","topic");
x.t("temporary","queue");
x.t("temporary","queues");
x.t("temporary","destinations");
x.t("browsers","blocking");
x.t("browsers","serialize");
x.t("browsers","temporary");
x.t("subscribers","message");
x.t("subscribers","producers");
x.t("deliver","session");
x.t("deliver","messages");
x.t("exception","rule");
x.t("tibemstopic","topic");
x.t("tibemstopic","page");
x.t("redelivered","resolve");
x.t("redelivered","messages");
x.t("redelivered","step");
x.t("174","tibemssession_createstreammessage");
x.t("107","tibemssession_createtemporaryqueue");
x.t("tibemstemporaryqueue","page");
x.t("tibemstemporaryqueue","tmpqueue");
x.t("tmptopic","delete");
x.t("tmptopic","cobol");
x.t("tmptopic","returning");
x.t("tmptopic","function");
x.t("tmptopic","usage");
x.t("tibemssession_gettransacted","tibemssession");
x.t("tibemssession_gettransacted","function");
x.t("tibemssession_gettransacted","using");
x.t("context","message");
x.t("remarks","mode");
x.t("remarks","jms");
x.t("remarks","true");
x.t("remarks","session");
x.t("remarks","function");
x.t("remarks","client");
x.t("remarks","sessions");
x.t("remarks","closing");
x.t("remarks","temporary");
x.t("remarks","exceptions");
x.t("remarks","server");
x.t("dynamic","topic");
x.t("dynamic","queue");
x.t("dynamic","named");
x.t("dynamic","destinations");
x.t("dynamic","topics");
x.t("tibemsmsgconsumer_receive","organize");
x.t("page","144");
x.t("page","313");
x.t("page","202");
x.t("page","316");
x.t("page","tibemssession_createmessage");
x.t("page","162");
x.t("page","tibemsmsg");
x.t("page","295");
x.t("page","messages");
x.t("page","150");
x.t("page","tibemssession_createconsumer");
x.t("page","tibemssession_createproducer");
x.t("page","tibemsmapmsg");
x.t("page","154");
x.t("page","155");
x.t("page","156");
x.t("page","174");
x.t("page","107");
x.t("page","109");
x.t("page","122");
x.t("page","123");
x.t("location","queue");
x.t("location","text");
x.t("location","tibemsbytesmsg");
x.t("location","destination");
x.t("location","remarks");
x.t("location","note");
x.t("tibems_invalid_consumer","matching");
x.t("sequence","actions");
x.t("data","items");
x.t("optional","property");
x.t("becomes","active");
x.t("109","tibemsstreammsg");
x.t("semantics","always");
x.t("semantics","program");
x.t("semantics","tibems_security_exception");
x.t("semantics","property");
x.t("semantics","session");
x.t("semantics","function");
x.t("semantics","session\u2019s");
x.t("semantics","tibemssession_gettransacted");
x.t("semantics","tibemssession_recover");
x.t("semantics","call");
x.t("289","tibemssession_recover");
x.t("msgconsumer","topic");
x.t("msgconsumer","function");
x.t("msgconsumer","value");
x.t("msgconsumer","tibemstopic");
x.t("inactive","periods");
x.t("inactive","durable");
x.t("inactive","server");
x.t("result","client");
x.t("ambiguities","tibemsconnection");
x.t("ambiguities","message");
x.t("received","acknowledgement");
x.t("received","number");
x.t("appropriate","transactions");
x.t("asynchronous","delivery");
x.t("asynchronous","message");
x.t("asynchronous","asynchronous");
x.t("successful","commit");
x.t("values","tibemsacknowledgemode");
x.t("application","receives");
x.t("locate","subscription");
x.t("destinations","create");
x.t("destinations","program");
x.t("destinations","however");
x.t("destinations","tibemssession_createbrowser");
x.t("destinations","provider-specific");
x.t("destinations","exempt");
x.t("specification","requires");
x.t("specification","restricts");
x.t("specification","server");
x.t("destroys","outbound");
x.t("tibemssession_createtemporarytopic","tibemssession");
x.t("tibemssession_createtemporarytopic","create");
x.t("tibemssession_createtemporarytopic","function");
x.t("tibemssession_createtemporarytopic","using");
x.t("tibemssession_recover","tibemssession");
x.t("tibemssession_recover","recover");
x.t("tibemssession_recover","function");
x.t("tibemssession_recover","using");
x.t("permission","send");
x.t("tibemsqueue","queue");
x.t("tibemsqueue","page");
x.t("portable","providers");
x.t("122","tibemssession_deletetemporaryqueue");
x.t("phase","tibemssession_unsubscribe");
x.t("transaction","311");
x.t("transaction","program");
x.t("transaction","support");
x.t("transaction","releases");
x.t("transaction","290");
x.t("transaction","status");
x.t("transaction","actions");
x.t("transaction","non-transaction");
x.t("transaction","session");
x.t("transaction","attempting");
x.t("transaction","tibems_transaction_failed");
x.t("transaction","function");
x.t("transaction","message");
x.t("transaction","tibems_transaction_rollback");
x.t("transaction","declaration");
x.t("transaction","semantics");
x.t("transaction","destinations");
x.t("transaction","call");
x.t("transaction","server");
x.t("note","message");
x.t("two","items");
x.t("two","data");
x.t("tmpqueue","delete");
x.t("tmpqueue","cobol");
x.t("tmpqueue","returning");
x.t("tmpqueue","function");
x.t("tmpqueue","usage");
x.t("topics","function");
x.t("123","tibemstextmsg");
x.t("tibemstextmsg_create","page");
x.t("transactional","semantics");
x.t("unambiguous","state");
x.t("mark","redelivered");
x.t("created","session");
x.t("call","tibemssession_createtextmessage");
x.t("call","commits");
x.t("call","tibemssession_rollback");
x.t("call","tibemssession_createmessage");
x.t("call","close");
x.t("call","tibemssession_commit");
x.t("call","tibemssession_deletetemporarytopic");
x.t("call","tibemssession_close");
x.t("call","tibemssession_deletetemporaryqueue");
x.t("call","equivalent");
x.t("call","tibemssession_createbytesmessage");
x.t("call","inappropriate");
x.t("call","tibemssession_createconsumer");
x.t("call","tibemssession_createproducer");
x.t("call","client");
x.t("call","tibemssession_unsubscribe");
x.t("call","tibemssession_createtextmessageex");
x.t("call","tibemssession_createbrowser");
x.t("call","tibemssession_createstreammessage");
x.t("call","tibemssession_gettransacted");
x.t("call","tibemssession_createtemporarytopic");
x.t("call","tibemssession_recover");
x.t("call","call");
x.t("call","tibemssession_getacknowledgemode");
x.t("call","tibemssession_createdurablesubscriber");
x.t("call","tibemssession_createtemporaryqueue");
x.t("call","returns");
x.t("call","associated");
x.t("call","tibemssession_createmapmessage");
x.t("immediately","begin");
x.t("locally","messages");
x.t("associate","subscriber");
x.t("tibemssession_getacknowledgemode","tibemssession");
x.t("tibemssession_getacknowledgemode","function");
x.t("tibemssession_getacknowledgemode","using");
x.t("irrelevant","false");
x.t("irrelevant","session");
x.t("order","first");
x.t("either","static");
x.t("either","arguments");
x.t("either","synchronously");
x.t("either","unacknowledged");
x.t("either","transaction");
x.t("pointer","parameters");
x.t("pointer","remarks");
x.t("except","durable");
x.t("used","supplied");
x.t("albeit","client");
x.t("starts","again");
x.t("tibemssession_createdurablesubscriber","tibemssession");
x.t("tibemssession_createdurablesubscriber","create");
x.t("tibemssession_createdurablesubscriber","function");
x.t("tibemssession_createdurablesubscriber","page");
x.t("tibemssession_createdurablesubscriber","using");
x.t("using","selector");
x.t("using","value");
x.t("producers","queue");
x.t("producers","tibemssession_createconsumer");
x.t("producers","browsers");
x.t("producers","consumers");
x.t("consumers","create");
x.t("consumers","session");
x.t("consumers","functions");
x.t("consumers","except");
x.t("consumers","producers");
x.t("consumers","associated");
x.t("consumers","durable");
x.t("restricts","programs");
x.t("exempt","restriction");
x.t("tibemssession_createtemporaryqueue","tibemssession");
x.t("tibemssession_createtemporaryqueue","create");
x.t("tibemssession_createtemporaryqueue","function");
x.t("tibemssession_createtemporaryqueue","using");
x.t("across","periods");
x.t("across","inactive");
x.t("returns","tibems_illegal_state");
x.t("returns","topic");
x.t("returns","queue");
x.t("returns","tibems_invalid_session");
x.t("associated","connection");
x.t("associated","objects");
x.t("associated","session");
x.t("operations","associated");
x.t("without","filtering");
x.t("origin","tibemsdestination");
x.t("origin","remarks");
x.t("tibemsmapmsg_create","page");
x.t("acknowledge","mode");
x.t("governs","message");
x.t("roles","create");
x.t("commit","tibems_illegal_state");
x.t("commit","rollback");
x.t("commit","open");
x.t("commit","failed");
x.t("tibemsqueuebrowser","browser");
x.t("tibemsqueuebrowser","page");
x.t("attach","subscription");
x.t("effect","equivalent");
x.t("including","messages");
x.t("delivers","outbound");
x.t("delivers","unacknowledged");
x.t("delivers","messages");
x.t("consume","new");
x.t("tibemssession_createmapmessage","tibemssession");
x.t("tibemssession_createmapmessage","create");
x.t("tibemssession_createmapmessage","function");
x.t("tibemssession_createmapmessage","using");
x.t("lacks","permission");
x.t("views","messages");
x.t("sent","connection");
x.t("sent","queue");
x.t("exceptions","during");
x.t("durable","topic");
x.t("durable","subscriber");
x.t("durable","subscriptions");
x.t("durable","subscription");
x.t("durable","subscribers");
x.t("object","cooperates");
x.t("object","time");
x.t("object","exists");
x.t("object","subscription");
x.t("object","location");
x.t("server","unsubscribe");
x.t("server","creates");
x.t("server","topic");
x.t("server","uses");
x.t("server","deletes");
x.t("server","associates");
x.t("server","automatically");
x.t("server","filters");
x.t("server","need");
x.t("server","creating");
x.t("server","retains");
x.t("server","allows");
x.t("server","messages");
x.t("server","attempted");
x.t("server","function");
x.t("server","sequence");
x.t("server","locate");
x.t("server","destroys");
x.t("server","associate");
x.t("server","delivers");
x.t("server","server");
x.t("resources","declaration");
x.t("resources","289");
x.t("tibems_bool","nolocal");
x.t("tibems_bool","istransacted");
x.t("matching","messages");
x.t("matching","subscription");
x.t("matching","client");
x.t("specify","destination");
x.t("tibemsstreammsg","streammsg");
x.t("tibemsstreammsg","page");
}
